using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsWorkRequestToFacility {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int WorkRequestId { get; set; }
        [Key]
        public int FacilityCode { get; set; }

        [ForeignKey("SiteId,FacilityCode")]
        [InverseProperty("FmsWorkRequestToFacility")]
        public virtual CmFacility CmFacility { get; set; }
        [ForeignKey("SiteId,WorkRequestId")]
        [InverseProperty("FmsWorkRequestToFacility")]
        public virtual FmsWorkRequest FmsWorkRequest { get; set; }

    }
}
